GET
studenttimetables API
Retrieve and manage studenttimetables records from the Apps4Edu sync database.
Endpoint Path
GET
/api/studenttimetables
/{studentEmail}
CURL Example
curl "https://api.apps4education.co.uk/api/studenttimetables/{VALUE}?api_token=YOUR_TOKEN" \
-H "Accept: application/json"
Field Definitions
| Field | Type |
|---|---|
id
|
bigint |
calendarModelID
|
int |
classID
|
int |
staffID
|
int |
studentID
|
int |
locationID
|
int |
locationName
|
varchar |
calendarID
|
int |
periodName
|
varchar |
periodStartDate
|
datetime |
periodEndDate
|
datetime |
dayOfWeek
|
varchar |
timetableDay
|
int |
periodStartTime
|
varchar |
periodEndTime
|
varchar |
weekNumber
|
varchar |
weekDayPeriod
|
varchar |
periodDisplayName
|
varchar |
weekDisplayName
|
varchar |
collectionTimetableCalendarID
|
varchar |
classStaffRoom
|
varchar |
collectionTimetableID
|
int |
isInclusion
|
tinyint |
created_at
|
timestamp |
updated_at
|
timestamp |
Response Body (Sample)
{ "data": [ { "id": 101, "calendarModelID": 101, "classID": 101, "staffID": 101, "studentID": 101, "locationID": 101, "locationName": "example_value", "calendarID": 101, "periodName": "example_value", "periodStartDate": "example_value", "periodEndDate": "example_value", "dayOfWeek": "example_value", "timetableDay": "example_value", "periodStartTime": "example_value", "periodEndTime": "example_value", "weekNumber": "example_value", "weekDayPeriod": "example_value", "periodDisplayName": true, "weekDisplayName": true, "collectionTimetableCalendarID": 101, "classStaffRoom": "example_value", "collectionTimetableID": 101, "isInclusion": true, "created_at": "example_value", "updated_at": "example_value" } ] }
Query Parameters
api_token
Required. Your unique API key must be passed as a query string parameter.
page
Optional. Defaults to 1. Used to navigate through paginated results.